if(location.search==""){
xml.loaddt(pzdom.getElementsByTagName("初始加载地图")[0].getAttribute("value1"),pzdom.getElementsByTagName("初始加载地图")[0].getAttribute("value2"));
}else{
var temp1=location.search.replace("?loadditu=","");
xml.loaddt(unescape(temp1.split("+-=-+")[0]),unescape(temp1.split("+-=-+")[1]));
}
function window.onbeforeunload(){var endtext=[],endone=0,endtwo=0
endtext[0]="[亲情]:你小子天天玩游戏白吃白喝家里的,完事去给你妈说会话倒杯水";
endtext[1]="[爱情]:你女朋友肯定被你冷落了,操蛋,在这样我给你抢走算了!";
endtext[2]="[事业]:你这小子,除了玩游戏还有啥追求?这辈子不能只玩游戏吧?";
endtext[3]="[身体]:我说,你那无价的眼睛不要了?在玩这么久,不听的话,会越来越不好使";
endtext[4]="[友情]:你个没义气的家伙,我对你这么好,只玩游戏却把我忘了是吧?欲哭无泪啊..";
endtext[5]="[健忘]:喂,你没忘什么事吧?失信是非常无耻的行径呦,赶紧去赴约吧";
endtext[6]="[文凭]:这张纸在这个呆板的社会,还是挺有用的,别学我,还是好好考来再玩吧";
endtext[7]="[打气]:你这个颓废/自暴自弃的家伙,自赏两巴掌,即日换个魂,咱活着就得牛B!";
endone=round(random()*7);endtwo=round(random()*7);while(endtwo==endone){endtwo=round(random()*7);}
var cftext="";if(zd.zdzhong){var tempsiwang=zdme.length;for(var i=1;i<zdme.length;i++)if(zdme[i].siwang==true)--tempsiwang
if(tempsiwang==1)cftext="囧囧囧:你挂了,如您强制退出,将承受技术惩罚损失名望/经验/金币/元灵!\n"}
return cftext+"关闭正进行的游戏?如果您选定了自动存储,那么当前游戏进度将保存!\n\n我说:\n\n"+endtext[endone]+"\n"+endtext[endtwo];}  //内存释放
function window.onunload(){
if(zd.zdzhong){var tempsiwang=zdme.length;for(var i=1;i<zdme.length;i++)if(zdme[i].siwang==true)--tempsiwang
if(tempsiwang==1)siwang.chengfa()
}
saveuser();dtdom=null;wpdom=null;gwdom=null;jqdom=null
jndom=null;rwdom=null;sjdtdom=null;zbdom=null;pzdom=null;Error=null;}
function window.onerror(erra,errb,errc){
alert("游戏程序发生一次错误：\n\n出错行："+errc+"\n\n描述："+erra+"\n\n文件："+errb+"\n\n提示玩家：该错误应不至于影响游戏，属作者遗存漏洞，望来函告知予以改正!\n\n解决方法1:置于不顾,不用管,可以继续正常玩下去的话\n解决方法2:如卡住,请使用【异常还原】功能\n解决方法3:刷新网页，重新读档，如果你自动保存了的话");
if(erra.indexOf("磁盘已满")!=-1)alert("恭喜你很狗屎运,撞见了本游一个棘手错误,这是神说暂未完美解决的漏洞……\n\n错误描述1:刚才肯定提示你第"+errc+"行发生磁盘已满的错误提示,实际是存储槽已满\n错误描述2:你肯定是想存档、读档时发生的这个错误,该错误原因暂未被原作查明\n\n移动路径解决法1:剪切或复制神说游戏整个文件夹目录,到电脑别的硬盘\n移动路径解决法2:比如现在存在D盘,请你剪切粘贴至别的硬盘比如E盘或C盘或F盘\n移动路径解决法3:粘贴路径无所谓,总之就是给神说2013彻底搬个家,换个路径玩就一切正常了,包括使用1-10号存档、读档、删档、万能存取就都不会再出错了~-~\n\n另一种不移动路径解决方法1:XP系统下找到C:\\Documents and Settings\\Administrator\\UserData文件夹,里面肯定有个index.dat文件,其实此文件已满或已损坏,删除之,OK了,以后再进入游戏也不会再出错\n另一种不移动路径解决方法2:非XP系统下,那就用WINDOWS的搜索功能搜索整个系统盘,比如C盘,搜索关键字shenshuo2013,会返回存在这些文件的存档确切文件夹路径,然后打开目标文件夹,也是找到index.dat删除之,再进游戏也就会正常了.");
return true;
}
function document.onstop(){alert("临时静止说明:\n\n1:你单击了停止按钮,这将临时静止画面动画与背景音乐播放\n2:可以降低部分内存与显存占用,及迅速静音\n3:游戏进行时会视情况,自动重新开启动画与音乐的播放\n\n4:这不会影响游戏进程,你也无须过问")}
function window.onload(){  //初始化
document.title=xml.getpz("关于","游戏名称")+"-"+xml.getpz("关于","本版名称")+" ______ 【"+xml.getpz("关于","原作者")+"】的游戏作品 ______ 最终更新于 "+xml.getpz("关于","最终更新")
xdtwid=xdt.offsetWidth;xdthei=xdt.offsetHeight
xdt.go=setInterval("xdtfun.xdttime()",200)
setInterval("times.time1000()",1000)
setTimeout("lt.begin()",5000)
sd_onload=false;document.body.style.visibility="visible";

liaotian.style.visibility="visible";shuzhi.style.visibility="visible";
xdt.style.visibility="visible";wj_kuang.style.visibility="visible";fm1.style.visibility="visible";
fm1.focus();liaotian.style.left=bodywid-liaotian.offsetWidth-5

 //初始化装备
for(var i=0;i<zbtd.length;i++){if(rpg.zb[i]==null){zbtd[i].innerHTML="";continue;}
wpzb.zbadd(rpg.zb[i])}
 //初始化加点
tbzt.dianjisuan()
 //初始化数值
gx_rpg()
 //初始化世界地图
xml.loadxdt();
 //初始化击杀记录
shouce.killload()
sz_selcundian.selectedIndex=10;rsok=true;window.onresize();
setTimeout('loading("音效硬件加速中...良好体验片刻",99);loading("完毕",100)',500)

if(location.protocol.indexOf("file")==-1){  //判断在线预载图片、音效
for(var i=1;i<21;i++){jiazai("gw/"+i+".gif")}
for(var i=1;i<7;i++){jiazai("zd/end"+i+".gif");}
jiazai("zd/gj_end1.gif");jiazai("zd/gj_end2.gif");jiazai("zd/jn_dcxw.gif");jiazai("zd/jn_ddqc2.gif");
jiazai("zd/jn_flyj.gif");jiazai("zd/jn_flyj_fei.gif");jiazai("zd/jn_ghq.gif");jiazai("zd/jn_jbz.gif");
jiazai("zd/jn_sh.gif");jiazai("zd/jn_xrz.gif");jiazai("zd/jn_zys.gif");jiazai("zd/leiguangpo.gif");
jiazai("lihui/cangku.gif");jiazai("lihui/chuansong.gif");jiazai("lihui/chuansong_small.jpg");jiazai("lihui/duanzhi.gif");
jiazai("lihui/duanzhi_small.gif");jiazai("lihui/fs2.jpg");jiazai("lihui/fs3.jpg");jiazai("lihui/jineng.gif");
jiazai("lihui/jineng_small.gif");jiazai("lihui/liju.jpg");jiazai("lihui/meman.gif");jiazai("lihui/meman_small.gif");
jiazai("lihui/mewoman.gif");jiazai("lihui/mewoman_small.gif");jiazai("lihui/qianghua.gif");jiazai("lihui/qianghua_small.gif");
jiazai("lihui/qingguo_small.gif");jiazai("lihui/shangdian.gif");
jiazai("xingzou/rpg1_att1.gif");jiazai("xingzou/rpg1_fei1.gif");jiazai("xingzou/rpg1_fei1_mofa1.gif");
jiazai("xingzou/rpg1_fei_att1.gif");jiazai("xingzou/rpg1_mofa1.gif");jiazai("xingzou/rpg1_up1.gif");
setTimeout('loadsound("wp_move,zb_huan,jizhong1,jizhong9,jizhong10,chi,diaoluo,shui1,run,fashe7,use,fashe17,huifu1,jizhong8,lvup,dalei,fashe14");loading("完毕",100)',1000)
}
bgsound1.volume=-1500;bgsound1.src=bgsound1.src;
sz_user.load("shenshuo_shezhi");
var tempyinliang=sz_user.getAttribute("yinliang"),tempyinxiao=sz_user.getAttribute("yinxiao"),tempziti=sz_user.getAttribute("ziti")
if(tempyinliang!=null){sz_yinliang1.selectedIndex=tempyinliang;sz_yinliang1.onchange()}
if(tempyinxiao!=null){sz_yinliang2.selectedIndex=tempyinxiao;sz_yinliang2.onchange()}
if(tempziti!=null){sz_ziti.selectedIndex=tempziti;sz_ziti.onchange()}
msg1.style.filter="revealtrans(duration=0.5,transition=1)";  //首次加载特效,能让移动性能显著提高
msg1.filters[0].apply();msg1.filters[0].play();
 //shouce.yanhua();
winload=true;wjjs.shuaxin();


}
var imgtemplen=0,jiazaiimg=[]  //双线载图
function jiazai(img_src){
jiazaiimg[imgtemplen]=new Image()
jiazaiimg[imgtemplen].onload=function(){this.outerHTML=""} //this.onload=""}
jiazaiimg[imgtemplen].src="img/"+img_src
imgtemplen++
}
var rsok=false;
function window.onresize(){
if(!rsok)return;
bodywid=document.body.offsetWidth;bodyhei=document.body.offsetHeight;yd.cle();
if(fmleft<10&&fmtop<10){
oldx=bodywid/2+(-fmleft)-(mewid/2);oldy=bodyhei/2+(-fmtop)-(mehei/2)
mex=oldx;mey=oldy;
me.style.left=oldx;me.style.top=oldy;
}
yd.ying();xdt.style.left=0;
shuzhi.style.left=bodywid/2-(shuzhi.offsetWidth/2)
liaotian.style.top=bodyhei-liaotian.offsetHeight-22;liaotian.style.left=bodywid-liaotian.offsetWidth-5
superltdrop(liaotian);
}
function document.onselectstart(){
if(event.srcElement.id=="lttext")return true
var temp=event.srcElement.tagName
if(temp!="INPUT"&&temp!="TEXTAREA")return false
}
function document.oncontextmenu(){
if(event.srcElement.id=="lttext")return true
var temp=event.srcElement.tagName
if(temp!="INPUT"&&temp!="TEXTAREA")return false
}
function document.ondragstart(){
if(event.srcElement.id!="lttext")return false;
}

var oldkey=0  //某种情况下防止键盘按住不起
function document.onkeyup(){
oldkey=0;var key1=event.keyCode
if(key1==87||key1==38){if(yd.key1=="上")yd.key1="";if(yd.key2=="上")yd.key2=""}
if(key1==65||key1==37){if(yd.key1=="左")yd.key1="";if(yd.key2=="左")yd.key2=""}
if(key1==83||key1==40){if(yd.key1=="下")yd.key1="";if(yd.key2=="下")yd.key2=""}
if(key1==68||key1==39){if(yd.key1=="右")yd.key1="";if(yd.key2=="右")yd.key2=""}
if(yd.key1==""&&yd.key2=="")yd.cle();
}
function document.onkeydown(){  //近景键盘
var key1=event.keyCode,theid1=event.srcElement.id
if(key1==27){event.keyCode=0;stoploading();return false}
if(key1==13){if(sd_duihua){msg.style.display="none";dh.lihuiclose();return sd_duihua=false}
if(sl.suoding)return sl.queren()
if(event.srcElement.id=="gh1")return;
try{lttext.focus()}catch(e){}
if(theid1=="lttext")return lt.fayan()
}
if(theid1=="lttext"||theid1=="sltext"||theid1=="sd_cishu")return;
if(sd_onload||sd_duihua||sd_loading||zd.zdzhong||sl.suoding||sjdt.ischuansong||sd_sd)return false
if((key1==87||key1==38)&&(oldkey!=87&&oldkey!=38))yd.keymove("上",me)
if((key1==65||key1==37)&&(oldkey!=65&&oldkey!=37))yd.keymove("左",me)
if((key1==83||key1==40)&&(oldkey!=83&&oldkey!=40))yd.keymove("下",me)
if((key1==68||key1==39)&&(oldkey!=68&&oldkey!=39))yd.keymove("右",me)
if(key1==32){  //拣取物品
if(fmwp.length==1)return;
for(var i=1;i<fmwp.length;i++){
var left1=fmwp[i].offsetLeft,top1=fmwp[i].offsetTop
if($(ying.offsetLeft-left1)>300||$(ying.offsetTop-top1)>300)continue;
if($(ying.offsetLeft-left1)<100&&$(ying.offsetTop-top1)<100){  //非常靠近,捡起
fmwp[i].onmousedown();
oldkey=0;if(wp_kuang.style.display!="none")wpzb.wupin();
}
if(oldkey==32)return;  //这里防止按住终止自动寻路
yd.evx=left1;yd.evy=top1;yd.ck(me);}
}  //end 拣取物品
oldkey=key1
}
function fm1.onmousedown(){
if(sd_onload||sd_duihua||sd_loading||zd.zdzhong||sl.suoding||sjdt.ischuansong||sd_sd)return false
var obj=event.srcElement
if(event.button==1){
if(obj.id=="npc"){dh.npc=obj;dh.mubiao=null;
if(obj.name1=="商店姐"){dh.lihui("shangdian.gif");return sd.open("超市")}
if(obj.name1=="仓库妹"){dh.lihui("cangku.gif");return sd.open("仓库")}
if(obj.name1=="传送妹")sjdt.addrpg();
msg.jq=obj.msg;msg.names=obj.name1;msg.face1=obj.face1
return dh.showmsg()
}
if(obj.id=="boos"){if(obj.suoding!=null)return;msg.jq=obj.msg;msg.names=obj.boosis.split("=")[1];msg.face1=obj.face1;dh.mubiao=obj;dh.npc=null;return dh.showmsg()}
me.focus()
ckin=true;if(obj.id=="fmwp")me.fmwp=obj;yd.ck(me);
 //if(selwj!=wj[0])selwj=wj[0];gx_rpg();
 //if(zt_kuang.style.display!="none")tbzt.zhuangtai()
fm1.setCapture();
}
else if(event.button==2){tbfun.begin()}
}
var mouselingmin=2  //滚轮武将，灵敏度设置
function fm1.onmousewheel(){if(--mouselingmin>0){return false;}else{mouselingmin=2}
var thenum=0;for(var i=0;i<wj.length;i++){if(wj[i]==selwj){thenum=i;break;}}
if(event.wheelDelta>0){thenum--;if(thenum<0)thenum=wj.length-1;while(wj[thenum].name==""){thenum--}selwj=wj[thenum]}
else{thenum++;if(thenum>wj.length-1)thenum=0;while(wj[thenum].name==""){thenum++;if(thenum>wj.length-1)thenum=0;}selwj=wj[thenum]}
 //if(thenum!=0)me3.src=wj[thenum].src;
gx_rpg();if(zt_kuang.style.display!="none")tbzt.zhuangtai();return false;
}
function document.onmousemove(){
var tempd=event.srcElement
if(zd.zdzhong){
if(zd.suoding||zd.toushi)return;zd_kuang.style.backgroundPosition=event.x/4+' '+event.y/4
}else if(tempd.id=="fm1"){yd.evx=event.offsetX;yd.evy=event.offsetY;}
else{if(tempd.parentElement!=fm1)return;
yd.evx=tempd.offsetLeft+event.offsetX;yd.evy=tempd.offsetTop+event.offsetY;}
}
function fm1.onmouseup(){
if(event.button==1){ckin=false;fm1.releaseCapture();}
}